What Are The System Requirements For S Educate?

To use S Educate, you need the following:

• Operating System: Android OS ICS (4.0) or later

• Wi-Fi Connection

• S Pen or Stylus (optional)

Email a Friend